/*! @azure/msal-node-extensions v1.0.18 2024-06-04 */
'use strict';
import { createRequire } from 'module';

/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
class defaultDpapi {
    protectData() {
        throw new Error("Dpapi is not supported on this platform");
    }
    unprotectData() {
        throw new Error("Dpapi is not supported on this platform");
    }
}
let Dpapi;
if (process.platform !== "win32") {
    Dpapi = new defaultDpapi();
}
else {
    // In .mjs files, require is not defined. We need to use createRequire to get a require function
    const safeRequire = typeof require !== "undefined"
        ? require
        : createRequire(import.meta.url);
    Dpapi = safeRequire(`../bin/${process.arch}/dpapi`);
}

export { Dpapi };
//# sourceMappingURL=Dpapi.mjs.map
