/*! @azure/msal-node-extensions v1.0.18 2024-06-04 */
'use strict';
import { AuthError } from '@azure/msal-common';

/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
class NativeAuthError extends AuthError {
    constructor(errorStatus, errorContext, errorCode, errorTag) {
        super(errorStatus, errorContext);
        this.name = "NativeAuthError";
        this.statusCode = errorCode;
        this.tag = errorTag;
        Object.setPrototypeOf(this, NativeAuthError.prototype);
    }
}

export { NativeAuthError };
//# sourceMappingURL=NativeAuthError.mjs.map
